Community @ The Turning Gate

Support community for TTG plugins and products.

You are not logged in.

#1 2019-02-03 00:55:47

dvdfan001
Member
Registered: 2014-04-27
Posts: 158

lastet PHP Version

Hi Ben, Hi Rod
Which is the highest PHP version compatible with legacy CE4?
regards, thanks

Offline

#2 2019-02-03 01:36:49

rod barbee
Moderator
From: Port Ludlow, WA USA
Registered: 2012-09-24
Posts: 16,182
Website

Re: lastet PHP Version

you might want to do forum search on that (vaguely remember it coming up before). Or wait for Ben or Matt. I'm thinking it was something like 5.6, but I could easily be wrong.


Rod 
Just a user with way too much time on his hands.
www.rodbarbee.com
ttg-tips.com, Backlight 2 test site, Pangolin test site

Offline

#3 2019-02-21 02:07:37

paulpegg
Member
Registered: 2013-03-07
Posts: 159

Re: lastet PHP Version

My service provider (Lunarpages) just announced that they will be replacing PHP 5.6 with v 7.2 in March. I use CE4 Publisher to maintain the galleries in three sites. Can you tell us if this will still work?

Offline

#4 2019-02-21 03:03:11

Daniel Leu
Moderator
Registered: 2012-10-11
Posts: 1,276
Website

Re: lastet PHP Version

I just looked at some older messages and an updated version of CE4 works uner PHP 7 (http://community.theturninggate.net/vie … 692#p51692).

You need to download TTG BE again and then replace ttg-be/framework/lib/Parsedown.php and lib/php/Parsedown.php on the server.


Daniel Leu | Photography   
DanielLeu.com

Offline

#5 2019-03-17 02:07:52

FJG
Member
Registered: 2015-01-14
Posts: 13

Re: lastet PHP Version

Good evening,

My host company has updated from PHP5.6 to 7.3 and my contact part of my site has stopped working so I need to update my site with the the final version of ttg-Be as their is a file or two that will need to be replaced.

However I am unable to find it to download, could someone assist please.
Regards

Offline

#6 2019-03-17 02:53:13

rod barbee
Moderator
From: Port Ludlow, WA USA
Registered: 2012-09-24
Posts: 16,182
Website

Re: lastet PHP Version

Use the contact form on the support page to send an email to Matt


Rod 
Just a user with way too much time on his hands.
www.rodbarbee.com
ttg-tips.com, Backlight 2 test site, Pangolin test site

Offline

#7 2019-04-20 23:51:06

choke
Member
Registered: 2012-11-25
Posts: 33

Re: lastet PHP Version

Hi
web hotel has just upgraded thier PHP to ver 7 from 5 and now I have some problems with my page.
Typical its tte galleries that are crasching. First page, contatct etc are working fine - but whe I go to a specefic galleri then it crasch.
Have replaced all Parsedown.php I have found but no sucess - any one with php experience that have any suggestion for me?
www.choke.se
here is one that crasch - http://choke.se/galleries/01-iceland-2015/

hope for some help

best regards
Choke

Offline

#8 2019-04-22 05:05:25

Daniel Leu
Moderator
Registered: 2012-10-11
Posts: 1,276
Website

Re: lastet PHP Version

Hi Choke,

I would start with downloading and installing the latest version of the ttg_be package and see if this fixes your issue. Ben did some changes in the past in order for CE4 to run with PHP 7.


Daniel Leu | Photography   
DanielLeu.com

Offline

Board footer

Powered by FluxBB